Summary: Directory Server Gateway/Phonebook Web Application

Name: fedora-ds-dsgw
Version: 1.1.2
Release: alt1
License: GPL
Packager: Vitaly Kuznetsov <vitty@altlinux.ru>
Url: http://directory.fedoraproject.org
Group: System/Servers

BuildRequires: libnspr-devel
BuildRequires: libnspr-devel
BuildRequires: mozldap-devel
BuildRequires: perl-Mozilla-LDAP
BuildRequires: perl-CGI
BuildRequires: fedora-ds-adminutil-devel
BuildRequires: gawk
BuildRequires: gcc-c++
BuildRequires: libsasl2-devel

Source0: %name-%version.tar.bz2
Patch0: fedora-ds-dsgw-basename-alt.patch

%description
DSGW stands for Directory Server GateWay.  This is a CGI based HTML phonebook and
user self service application for LDAP data.  The HTML pages are customizable
templates that you can add/remove fields from.

End User services
* Search and retrieve information about other LDAP users
* Self service editing of account information, including password change

Administrator services
* Create and edit user and group entries

%prep
%setup
%patch0 -p1

%autoreconf

%build
#PKG_CONFIG_PATH=%_libdir/pkgconfig ; export PKG_CONFIG_PATH

# get adminutil locations
export adminutil_inc=/usr/include/libadminutil
export adminutil_lib=-L%_libdir/

# force the use of the admin server
%configure --with-admserv=/usr/share/fedora-ds/html/ --with-ldapsdk-inc=/usr/include/mozldap --with-ldapsdk-lib=%_libdir --with-instconfigdir=/etc/fedora-ds/ --with-adminserver

%make

%install
%make DESTDIR=$RPM_BUILD_ROOT install

%files
%config %_sysconfdir/fedora-ds/dsgw/*
%_libdir/fedora-ds/dsgw-cgi-bin/*
%_datadir/fedora-ds/dsgw/*
%_datadir/fedora-ds/manual/en/dsgw/*
%_datadir/fedora-ds/properties/dsgw/*
%_sbindir/setup-ds-dsgw

%changelog
* Fri Apr 03 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Sat Sep 06 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.1-alt1
- 1.1.1

* Wed May 07 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.0-alt1
- Initial release

